<?php
/**
 * Online Notary: Block Patterns
 *
 * @since Online Notary 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Online Notary 1.0
 *
 * @return void
 */
function online_notary_register_block_patterns() {
	$online_notary_block_pattern_categories = array(
		'online-notary'    => array( 'label' => __( 'Online Notary', 'online-notary' ) ),
	);

	$online_notary_block_pattern_categories = apply_filters( 'online_notary_block_pattern_categories', $online_notary_block_pattern_categories );

	foreach ( $online_notary_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'online_notary_register_block_patterns', 9 );